%global oname axis2

Name:           axis2v14
Version:        1.4.1
Release:        1%{?dist}
Summary:        Java-based Web Services / SOAP / WSDL engine

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://axis.apache.org/axis2/java/core/
Source0:        http://archive.apache.org/dist/ws/axis2/1_4_1/axis2-1.4.1-src.zip
# 0) Disable modules whose dependencies are not in Fedora.
# 1) Remove JSR deps which are now built into openjdk
# 2) Fix javamail dep
# 3) Remove gmaven code
Patch0:         %{name}-dep-fixes.patch
BuildArch:      noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: XmlSchema
BuildRequires: apache-commons-logging
BuildRequires: axiom
BuildRequires: neethi
BuildRequires: jsr-311
BuildRequires: woden
BuildRequires: javamail
BuildRequires: dos2unix
BuildRequires: maven-remote-resources-plugin
BuildRequires: apache-commons-fileupload
BuildRequires: tomcat-servlet-3.0-api
BuildRequires: geronimo-saaj
Requires:      java
Requires:      jpackage-utils
Requires:      XmlSchema
Requires:      apache-commons-logging
Requires:      log4j
Requires:      xerces-j2
Requires:      axiom
Requires:      neethi
Requires:      jsr-311
Requires:      woden
Requires:      javamail
Requires:      apache-commons-fileupload
Requires:      tomcat-servlet-3.0-api
Requires:      geronimo-saaj


%description
Apache Axis2 is a Web Services / SOAP / WSDL engine, the successor
to the widely used Apache Axis SOAP stack. There are two
implementations of the Apache Axis2 Web services engine - Apache 
Axis2/Java and Apache Axis2/C.  This is Axis2/Java.

%package javadoc
Summary:      API documentation for %{name}
Group:        Documentation
Requires:     jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1
rm -rf modules/kernel/src/org/apache/axis2/transport/xmpp

%build
# Tests currently use an auto-generated ant build xml file which
# fails due to incorrect setting of JAVA_HOME (to JRE instead of JDK home)
# I have not yet determined the fix for this.
mvn-rpmbuild install \
    -Dmaven.test.skip \
    -Dproject.build.sourceEncoding=UTF-8 \
    javadoc:aggregate
dos2unix NOTICE.txt

%install
install -d -m 755 %{buildroot}%{_javadir}/%{name}
install -d -m 755 %{buildroot}%{_mavenpomdir}

# parent POM
cp modules/parent/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom

for mod in adb adb-codegen codegen kernel java2wsdl; do
  modfn=$( echo ${mod} | sed "s#/#-#" )
  install -m 644 modules/${mod}/target/%{oname}-${modfn}-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/%{oname}-${modfn}.jar
  cp modules/${mod}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{oname}-${modfn}.pom
  %add_maven_depmap JPP.%{name}-%{oname}-${modfn}.pom %{name}/%{oname}-${modfn}.jar
done

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc LICENSE.txt NOTICE.txt
%{_javadir}/%{name}
%{_mavenpomdir}/JPP*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}

%changelog
* Mon Sep 17 2012 Andy Grimm <agrimm@gmail.com> - 1.4.1-1
- Initial package
